#include<iostream.h>
 template<class T>//函数模板
 T abs(T x);
 int main()
{
 int a;
 double b;
 cout<<"请输入x（整型）："<<endl;
 cin>>a;
 cout<<abs(a)<<endl;
 cout<<"请输入x（实型）："<<endl;
 cin>>b;
 cout<<abs(b)<<endl;
 return(0);
}
 template<class T>
 T abs(T x)
{
 T y;
 y=x<0?-x:x;
 return(y); 
}